import { createSvgIcon } from '@mui/material/utils';

export const WalletIcon = createSvgIcon(
  <svg width="24" height="24" viewBox="0 0 24 24" fill="none"
    xmlns="http://www.w3.org/2000/svg">
    <path d="M20 7V5C20 3.897 19.103 3 18 3H5C3.346 3 2 4.346 2 6V18C2 20.201 3.794 21 5 21H20C21.103 21 22 20.103 22 19V17H18C16.3431 17 15 15.6569 15 14C15 12.3431 16.3431 11 18 11H22V9C22 7.897 21.103 7 20 7ZM5 7C4.74252 6.98848 4.49941 6.87809 4.32128 6.69182C4.14315 6.50554 4.04373 6.25774 4.04373 6C4.04373 5.74226 4.14315 5.49446 4.32128 5.30818C4.49941 5.12191 4.74252 5.01152 5 5H18V7H5Z" fill="currentColor" />
    <path fillRule="evenodd" clipRule="evenodd" d="M18 12C16.8954 12 16 12.8954 16 14C16 15.1046 16.8954 16 18 16H22C22.5523 16 23 15.5523 23 15V13C23 12.4477 22.5523 12 22 12H18ZM18 15C17.4477 15 17 14.5523 17 14C17 13.4477 17.4477 13 18 13C18.5523 13 19 13.4477 19 14C19 14.5523 18.5523 15 18 15Z" fill="currentColor" />
  </svg>,
  'WalletIcon'
);
